import 'package:flutter/material.dart';
import 'package:food_app/models/product_model.dart';
import 'package:food_app/widgets/single_item.dart';

enum SigninCharacter { lowToHigh, highToLow, alphabetically }

class Search extends StatefulWidget {
  final List<ProductModel> search;
  Search({this.search});
  @override
  _SearchState createState() => _SearchState();
}

class _SearchState extends State<Search> {
  SigninCharacter _character = SigninCharacter.alphabetically;

  @override
  Widget build(BuildContext context) {
    void bottomShet() => showModalBottomSheet(
        context: context,
        shape: RoundedRectangleBorder(
          borderRadius: BorderRadius.only(
            topLeft: Radius.circular(20),
            topRight: Radius.circular(20),
          ),
        ),
        builder: (context) {
          return Column(
            mainAxisSize: MainAxisSize.min,
            children: <Widget>[
              ListTile(
                title: new Text(
                  'Sort By',
                  style: TextStyle(fontWeight: FontWeight.bold),
                ),
              ),
              RadioListTile(
                  value: SigninCharacter.lowToHigh,
                  groupValue: _character,
                  title: Text("Price - Low to High"),
                  onChanged: (vav) {
                    setState(() {
                      _character = vav;
                    });
                    Navigator.of(context).pop();
                  }),
              RadioListTile(
                  value: SigninCharacter.highToLow,
                  groupValue: _character,
                  title: Text("Price - High to Low"),
                  onChanged: (vav) {
                    setState(() {
                      _character = vav;
                    });
                    Navigator.of(context).pop();
                  }),
              RadioListTile(
                  value: SigninCharacter.alphabetically,
                  groupValue: _character,
                  title: Text("Price - Alphabetically"),
                  onChanged: (vav) {
                    setState(() {
                      _character = vav;
                    });
                    Navigator.of(context).pop();
                  }),
            ],
          );
        });
    return Scaffold(
      appBar: AppBar(
        title: Text("Search"),
        actions: [
          Padding(
            padding: const EdgeInsets.all(8.0),
            child: Icon(Icons.menu_rounded),
          ),
        ],
      ),
      body: ListView(
        children: [
          ListTile(
            title: Text("Items"),
          ),
          Container(
            height: 52,
            margin: EdgeInsets.symmetric(horizontal: 20),
            child: TextField(
              decoration: InputDecoration(
                border: OutlineInputBorder(
                  borderRadius: BorderRadius.circular(30),
                  borderSide: BorderSide.none,
                ),
                fillColor: Color(0xffc2c2c2),
                filled: true,
                hintText: "Search Items in the store",
                suffixIcon: Icon(Icons.search),
              ),
            ),
          ),
          SizedBox(
            height: 10,
          ),
          Column(
            children: widget.search.map((data) {
              return SingleItem(
                isBool: false,
                productImage: data.productImage,
                productName: data.productName,
                productPrice: data.productPrice,
              );
            }).toList(),
          )
        ],
      ),
    );
  }
}
